DBM_Filter::compress(3)

DBM_Filter::compress

SYNOPSIS
    use SDBM_File; # or DB_File, or GDBM_File, or NDBM_File, or ODBM_File
    use DBM_Filter ;

    $db = tie %hash, ...
    $db->Filter_Push('compress');

DESCRIPTION
This DBM filter will compress all data before it is written to the database and uncompressed it on reading.

A fatal error will be thrown if the Compress::Zlib module is not available.

SEE ALSO
DBM_Filter, perldbmfilter, Compress::Zlib

AUTHOR
Paul Marquess pmqs@cpan.org